Bug 4412 - rpm-3.0.3-0.9 will not build due to a missing netdb.h test in ./configure
rpm-3.0.3-0.9 will not build due to a missing netdb.h test in ./configure
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 1999-08-07 00:00 EDT by Joseph Malicki
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-08-08 12:28:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joseph Malicki 1999-08-07 00:00:01 EDT
I have had numerous problems building rpm-3.0.3-0.9
since ./configure does not check for netdb.h, leaving
HAVE_NETDB_H undefined in config.h, so system.h will not
#include <netdb.h>.  The simple fix was to change #undef
HAVE_NETDB_H in config.h.in to #define HAVE_NETDB_H 1, but
having configure actually test for it would be nice.

Also, perhaps the code should be written so configure would
fail if struct hostent is not found in any header files,
which is what the build failure is due to.
Comment 1 Jeff Johnson 1999-08-08 12:28:59 EDT
From rpm/configure.in:
AC_CHECK_HEADERS(fcntl.h getopt.h grp.h memory.h netdb.h pwd.h

Note You need to log in before you can comment on or make changes to this bug.